Package net.shibboleth.shared.component

# Interface InitializableComponent

All Superinterfaces:
  `Component`

All Known Subinterfaces:
  `AccessControlService`, `LoggingService`, `ReloadableService<T>`

All Known Implementing Classes:
  `AbstractIdentifiableInitializableComponent`, `AbstractIdentifiedInitializableComponent`, `AbstractInitializableComponent`, `AbstractReloadableService`, `AbstractServiceableComponent`, `ApplicationContextServiceableComponent`, `BasicAccessControlService`, `BasicHttpServletRequestContentTypeValidator`, `BasicHttpServletRequestMethodValidator`, `BasicHttpServletRequestParametersValidator`, `BasicKeystoreKeyStrategy`, `BasicParserPool`, `ChainingHttpServletRequestValidator`, `ConditionalResource`, `CookieManager`, `DataSealer`, `DelegatingAccessControlService`, `EncryptedCookieManager`, `EvaluableScript`, `FileBackedHTTPResource`, `FileCachingHttpClientBuilder.StorageManagingHttpClient`, `HTTPResource`, `IdentifiedComponentManager`, `IPRangeAccessControl`, `LogbackLoggingService`, `MockReloadableService`, `ReloadableServiceGaugeSet`, `ReloadableSpringService`, `ReloadingAccessControlService`, `ScriptedKeyStrategy`, `ScriptedRunnable`, `ServiceableAccessControlService`, `SpringServiceableComponent`

public interface InitializableComponent extends Component
A `Component` which needs to be initialized prior to any "real" use. Real use usually means, for example, calling business logic but does not usually cover getting/setting properties.

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize()`
Initializes the component.
`boolean`
`isInitialized()`
Gets whether this component is initialized.

## Method Details

### isInitialized

boolean isInitialized()
Gets whether this component is initialized.

Returns:
  true iff this component is initialized

### initialize

void initialize() throws ComponentInitializationException
Initializes the component.

Throws:
  `ComponentInitializationException` - thrown if there is a problem initializing the component